package org.syncloud.webui.actions;

import org.json.JSONException;
import org.syncloud.webui.json.StorageMetadataJsonWriter;
import org.syncloud.webui.servlet.JsonServlet;
import syncloud.storage.IStorageMetadata;

import javax.servlet.ServletException;
import java.util.List;
import java.util.Map;

public class StorageTypeServlet extends JsonServlet {

    private StorageMetadataJsonWriter parser;
    private List<IStorageMetadata> metadata;

    public StorageTypeServlet(StorageMetadataJsonWriter parser, List<IStorageMetadata> metadata) {
        this.parser = parser;
        this.metadata = metadata;
    }

    @Override
    public String getResult(Map params) throws JSONException, ServletException {
        return parser.toJson(metadata).toString();
    }
}
