

$('#pathpage').live('pageshow', function(event) {

    initEvents();
    showStorageTypes();

    var nodeKey = stateManager.getSelectedNodeKey();
    if (nodeKey.storageId != null) {
        var storageTypes = $('#storageType');
        storageTypes.val(nodeKey.storageId).attr('selected', true).siblings('option').removeAttr('selected');
        storageTypes.selectmenu("refresh", true);

        var secured = infoProvider.getInfo(nodeKey.storageId).secured;
        var login = stateManager.getSelection().getLogin();
        updateLoginScreen(secured, login)
    }

    if (nodeKey.path != null) {
        var btnFolder = $("#btnFolder");
        btnFolder.text(nodeKey.path);
        btnFolder.button("refresh");
    }


    /*if (syncId != null && pathId != null){
        storageId = synchronizations[syncId].paths[pathId].storageId;
        login = synchronizations[syncId].paths[pathId].login;

        $('#storageType').val(storageId);
        checkLoginNeeded();

    } else if (storageId != null) {
        $('#storageType').val(storageId);
        $('#storageType').selectmenu('refresh');
        checkLoginNeeded();

    } else if (getUrlVars()["new"] == 1){

        storageId = null;
        login = null;
    }*/

    /*if (folder != null){
        $("#btnFolder").text(folder);
        $("#btnFolder").button("refresh");

    }*/

});

function initEvents() {

    $("#btnAccount").click(function(){
        $.mobile.changePage("accounts.html");
    });

    $("#btnFolder").click(function(){
        $.mobile.changePage("folder.html");
    });

    $("#storageType").change(function(e) {
        storageId = $('#storageType').val();
        stateManager.getSelection().setStorageId(storageId);
        var secured = infoProvider.getInfo(storageId).secured;
        var login = stateManager.getSelection().getLogin();
        updateLoginScreen(secured, login);
    });

    $("#btnPathSave").click(function(e){
        stateManager.save();
        $.mobile.changePage("sync.html");
        return false;
    });

}

function updateLoginScreen(secured, login) {
    if (secured)
        showLoginScreen(login);
    else
        hideLoginScreen();
}

function showLoginScreen(login){
    $('#logindiv').show();
    if (login != null){
        $("#btnAccount").text(login);
        $("#btnAccount").button("refresh");
    }
}

function hideLoginScreen(){
    newLogin = null;
    $('#logindiv').hide();
}

function showStorageTypes(){

    $('#storageType').children().remove('option');
    $('#storageType').append('<option>Supported storages</option>');
    $.each(infoProvider.getInfos(), function(index, value) {
         $('#storageType').append($('<option/>').val(value.id).text(value.id));
    });
    $('#storageType').selectmenu('refresh', true);
}




