package org.syncloud.webui.actions;

import org.json.JSONException;
import org.syncloud.facade.dao.SyncDao;
import org.syncloud.facade.dao.json.SyncParser;
import org.syncloud.webui.servlet.JsonServlet;

import javax.servlet.ServletException;
import java.util.Map;

public class SyncListServlet extends JsonServlet {

    private final SyncParser parser;
    private SyncDao syncDao;

    public SyncListServlet(SyncDao syncDao) {
        this.syncDao = syncDao;
        parser = new SyncParser();
    }

    public String getResult(Map params) throws JSONException, ServletException {
        return parser.toJson(syncDao.getSyncs()).toString();
    }
}
