$('#folderpage').live('pageshow', function(event) {
    reloadFolders(stateManager.getSelectedNodeKey());
});

function reloadFolders(params){
    $.getJSON("/folders", params,
        function(data){
            $('#folderList').children().remove('li');
            var output = '';
            var folders = data.folders;
            $.each(folders, function(index, value){

                folderName = (value.name == '') ? '&lt;root&gt;' : value.name;

                var nativePath = encodeURIComponent(value.nativePath);

                output += '<li>';
                output += '<a href="#" onclick="showFolder(\'' + nativePath + '\');" data-role="button">' + folderName + '</a>';
                output += '<a href="#" onclick="selectFolder(\'' + nativePath + '\');" >Select</a>';
                output += '</li>';
            });
            if (output == '') {
                    output = '<li data-role="list-divider">Empty</li>';
                }
            $('#folderList').append(output).listview('refresh');
        });
}

function selectFolder(folder){
    stateManager.getSelection().setPath(decodeURIComponent(folder));
    $.mobile.changePage("path.html");
}

function showFolder(folder) {
    stateManager.getSelection().setPath(decodeURIComponent(folder));
    reloadFolders(stateManager.getSelectedNodeKey());
}






